# This file created by conda-build 3.18.11
# ------------------------------------------------

package:
    name: libllvm10
    version: 10.0.0
source:
    patches:
        - patches/expect-fastmath-entrypoints-in-add-TLI-mappings.ll.patch
        - patches/intel-D47188-svml-VF.patch
        - patches/numba-0001-Revert-Limit-size-of-non-GlobalValue-name.patch
        - patches/numba-0001-Revert-NVPTX-Use-atomicrmw-fadd-instead-of-intrinsic.patch
        - patches/numba-0002-Revert-NVPTX-Remove-now-unused-atomic.load.add.f32-i.patch
    sha256: df83a44b3a9a71029049ec101fb0077ecbbdf5fe41e395215025779099a98fdf
    url: https://github.com/llvm/llvm-project/releases/download/llvmorg-10.0.0/llvm-10.0.0.src.tar.xz
build:
    activate_in_script: true
    number: 1
    run_exports:
        - libllvm10 10.0.0 1
    string: h4a3c616_1
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.33.1 he6710b0_7
        - binutils_linux-64 2.33.1 h9595d00_15
        - bzip2 1.0.8 h7b6447c_0
        - ca-certificates 2020.6.24 0
        - cmake 3.14.0 h52cb24c_0
        - expat 2.2.9 he6710b0_2
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_15
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_15
        - krb5 1.18.2 h173b8e3_0
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libcurl 7.71.0 h20c2e04_0
        - libedit 3.1.20191231 h7b6447c_0
        - libffi 3.3 he6710b0_2
        - libgcc-ng 9.1.0 hdf63c60_0
        - libssh2 1.9.0 h1ba5d50_1
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.2 he6710b0_1
        - openssl 1.1.1g h7b6447c_0
        - python 3.8.3 hcff3b4d_2
        - readline 8.0 h7b6447c_0
        - rhash 1.3.8 h1ba5d50_0
        - sqlite 3.32.3 h62c20be_0
        - tk 8.6.10 hbc83047_0
        - xz 5.2.5 h7b6447c_0
        - zlib 1.2.11 h7b6447c_3
    host:
        - _libgcc_mutex 0.1 main
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
    run:
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
test:
    commands:
        - test -f $PREFIX/lib/libLLVM-10${SHLIB_EXT}
about:
    dev_url: https://github.com/llvm-mirror/llvm
    home: http://llvm.org/
    license: Apache-2.0 WITH LLVM-exception
    license_family: Apache
    license_file: LICENSE.TXT
    summary: Development headers and libraries for LLVM
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - SylvainCorlay
        - inducer
        - isuruf
        - jakirkham
        - mingwandroid
        - timsnyder
